> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cald.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Make a Call Using an Agent

> Initiates an outbound AI-based phone call using a specific agent.



## OpenAPI

````yaml POST /agents/{agentId}/call
openapi: 3.0.1
info:
  title: AI Phone Call Service API
  description: >-
    API for managing AI-based phone calls, including call initiation and result
    retrieval.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://my.cald.ai/client/api/v1
security:
  - apiKeyAuth: []
paths:
  /agents/{agentId}/call:
    post:
      description: Initiates an outbound AI-based phone call using a specific agent.
      parameters:
        - name: agentId
          in: path
          description: The agent ID of the agent
          required: true
          schema:
            type: string
            description: The agent ID of the agent
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Contact'
      responses:
        '200':
          description: Success response with call details
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      Whether the call was successfully initiated, can be either
                      `success` or `failed`
                  callId:
                    type: string
                    description: >-
                      Unique identifier for the call (only returned if the call
                      was successfully initiated)
components:
  schemas:
    Contact:
      type: object
      properties:
        phoneNumber:
          type: string
          description: >-
            The phone number of the individual or business you're calling. - For
            international numbers, include the country code without extra
            formatting (such as parentheses or dashes), for example,
            '+441234567890'. - For U.S. numbers, although formatting is allowed,
            it's advisable to remove any additional characters for consistency.
        prospectName:
          type: string
          description: >-
            The prospectName is the default variable that is always present for
            all agents. It can be used in your agent scripts on the MyCald
            Dashboard by typing {prospectName}.
        email:
          type: string
          description: The email address of the contact, this is optional
        yourCustomVariable:
          type: string
          description: >-
            Feel free to add more custom variables to the list, depending on the
            use case. Once configured in the agent page of the MyCald Dashboard,
            they will automatically become available in the API
      required:
        - phoneNumber
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your API key, e.g. `caldLiveDe39a3accb206dd615f30d118e519df0`

````